Subject: [PATCH] cpuidle: kirkwood: Move out of mach directory, add DT.

From: [email-masked] (Andrew Lunn)
Date: Fri, 28 Dec 2012 18:56:18 +0100

> Is this single CPU or multi-cpu machine ?

Its a uniprocessor.

> Even though the cpu_do_idle()
> has just couple of instructions, there can be lot more happening in
> background especially with multi masters system. It might be safe if the
> single CPU is the only master accessing DDR. In multi-master, multi-CPU
> scenario though it can't work reliably.

There are DMA engines which could be active, moving stuff into/out of
memory.

Having said that, this code is not new, it is just getting a new home.
There has not been problems before. Having this 256 cycle delay etc,
suggests the hardware design is robust.

	 Andrew